%define name    php-mysqli
%define version 5.0.4

%define modname mysqli
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 37_%{modname}.ini

Summary:	MySQL database module for PHP
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Group:		System/Servers
URL:		http://www.php.net
Source0:	%{modname}.ini.bz2
License:	PHP License
BuildRequires:	php-devel >= 5.0.4
BuildRequires:	MySQL-devel >= 4.1.7
Provides:	php5-mysqli
Obsoletes:	php5-mysqli
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a dynamic shared object (DSO) for PHP that will add MySQL
database support.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build

phpize
#export CPPFLAGS="$CPPFLAGS -DHAVE_EMBEDDED_MYSQLI"
%configure2_5x \
    --with-mysqli=%{_bindir}/mysql_config

#    --enable-embedded-mysqli

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

bzcat %{SOURCE0} > %{inifile}
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS TODO package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-6mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-5mdk
- rebuilt against a non hardened-php aware php lib

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-4mdk
- rebuild

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-3mdk
- rebuilt against MySQL-4.1.x system libs

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-1mdk
- rebuilt for php-5.0.3

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-2mdk
- remove the php-mysql conflict
- rebuild against mysql 4.1.7 final

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-1mdk
- rebuilt for php-5.0.2
- don't use embedded-mysqli

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- initial mandrake package
